"""
Path     addons/source-python/packages/custom/k2tools/auth/__init__.py
Name     Authentificaion Core
Version  1.00.000
Revision $Rev: 27 $
Author   (C) [#OMEGA] - K2


GENERAL INFO

This module is intended to be the glue between auth providers and auth 
customers. This means it will turn specific authentification (auth provider 
part) into a streamlined auth model (this api) so user-created scripts have a
common interface for querying access.

The corressponding discussion thread can be found here:
http://www.sourcepython.com/forums/showthread.php?46-Auth-API&p=254#post254

HOW PERMISSIONS/FLAGS/GROUPS ARE SUPPOSED TO WORK

Generally, permissions are all positive, as long the user gets access 
somewhere from any auth provider, the permission is granted. The same
is true for groups and flags.

However, if any auth provider puts a deny permission on, the user will
have his permissions or group denied regardless whether anywhere else
this setting is granted.

ABOUT DEFAULTS

I define a few groups by default. Some of them behave in a special way:

root       - this flag and group equals 'all permissions'
admin      - just the default admin flag & group
restricted - all permissions / flags denied


API USAGE - AUTH PROVIDERS

TODO


API USAGE - AUTH CONSUMERS

TODO


API TODO

Search for TODO -> minor changes
"""

__all__ = ['refresh']

# =============================================================================
# >> IMPORTS
# =============================================================================
# Auth imports
from .shared import flags
from .shared import groups
from .shared import permissions
from .provider import _auth_providers
from .consumer import _cache

# =============================================================================
# >> FUNCTIONS
# =============================================================================

def refresh():
    for auth_provider in _auth_providers:
        auth_provider.refresh()
    _cache._rebuild()
        
# =============================================================================
# >> INITIALIZE / STARTUP STUFF
# =============================================================================

# Call these once so they get added (also in that order because of dependencies)
groups['restricted']
groups['root']
flags['restricted']
flags['root']
# Manually add the admin flag
groups['admin'].flags.append(flags['admin'])

