"""
Path     addons/source-python/packages/custom/k2tools/data.py
Name     Shared data
Version  1.00.000
Revision $Rev: 36 $
Author   (C) [#OMEGA] - K2


INFO

Shared data can be accessed with this small library.


AGREEMENT

See k2tools_license.txt


DOC

@server_port - Contains the server's port
@server_ip - Contains the server's external ip address
"""

__all__ = ['get_current_map', 'server_port', 'server_ip']
__version__ = '1.00.000 $Rev: 36 $'
__author__ = '[#OMEGA] - K2'
__date__ = '$Date: 2013-09-30 15:48:45 +0200 (Mo, 30 Sep 2013) $'

# =============================================================================
# >> Imports
# =============================================================================

# Source.Python
from cvars import ServerVar
from events import EventRegistry

# Python
from urllib.request import urlopen

# =============================================================================
# >> Classes
# =============================================================================

# =============================================================================
# >> Private Functions
# =============================================================================


def _server_spawn(ev):
    global current_map
    current_map = ev.get_string('mapname')

# =============================================================================
# >> Public Functions
# =============================================================================
    

def get_current_map():
    """
    Returns the current map name from the cache. Note this only works after 
    the map has been changed.
    
    @return str name of the map
    """
    return current_map

# =============================================================================
# >> Globals
# =============================================================================

current_map = 'not available until mapchange'
server_port = ServerVar('hostport').get_string() 
server_ip = urlopen('http://ip.omegak2.net/?simple=true').read().decode()

# =============================================================================
# >> Init
# =============================================================================

EventRegistry.register_for_event('server_spawn', _server_spawn)
