"""
Path     addons/source-python/packages/custom/k2tools/download_manager.py
Name     Mangement for downloadables
Version  1.00.000
Revision $Rev: 27 $
Author   (C) [#OMEGA] - K2


INFO

Simple manager of downloadables that takes care of readding them every
mapchange.


AGREEMENT

See k2tools_license.txt
"""

__all__ = ['AddDownload', 'RemoveDownload', 'AddDownloads', 'RemoveDownloads']
__version__ = '1.00.000 $Rev: 27 $'
__author__ = '[#OMEGA] - K2'
__date__ = '$Date: 2013-09-12 17:03:16 +0200 (Do, 12 Sep 2013) $'

# =============================================================================
# >> Imports
# =============================================================================

# Source Python
from Source import Misc

from events.manager import EventRegistry

# =============================================================================
# >> Globals
# =============================================================================

_string_tables = Misc.GetStringTables()
_downloadables = _string_tables.GetTable('downloadables')

_downloads = []

# =============================================================================
# >> Functions
# =============================================================================

def AddDownload(path):
    if path in _downloads:
        return
    _downloads.append(path)
    _downloadables.AddString(path)

def RemoveDownload(path):
    _downloads.pop(_downloads.index(path))
    
def AddDownloads(iterable):
    for item in iterable:
        AddDownload(item)
        
def RemoveDownloads(iterable):
    for item in iterable:
        RemoveDownload(item)

# =============================================================================
# >> Events
# =============================================================================
    
def _server_spawn(event):
    for path in _downloads:
        _downloadables.AddString(path)

# =============================================================================
# >> Init
# =============================================================================

EventRegistry.register_for_event('server_spawn', _server_spawn)
    