"""
Path     addons/source-python/packages/custom/k2tools/popup/constants.py
Name     Popup Constants
Version  1.00.000
Revision $Rev: 36 $
Author   (C) [#OMEGA] - K2


INFO

Holds various popup related constants.


AGREEMENT
 
See k2tools_license.txt


@TIMEOUT           - Internal timeout/recache settings for redisplaying the
                     popups
@OPTIONS_PER_PAGE  - Maximum options per page for PopupMenu objects
@OPTION_MIN        - Smallest option possible
@OPTION_MAX        - Largest option possible
@OPTION_PREVIOUS   - Built-in option for going to the previous page
@OPTION_NEXT       - Built-in option for going to the next page
@OPTION_CLOSE      - Built-in option for closing a popup
@ACCESS_ALLOWED    - See options.PopupOption
@ACCESS_RESTRICTED - See options.PopupOption
@ACCESS_DENIED     - See options.PopupOption
@SEPARATOR_TITLE   - Separator between title and description
@SEPARATOR_TOP     - Separator after head and before body
@SEPARATOR_BOTTOM  - Separator after body and before buttons
@SEPARATOR_CLOSE   - Separator between previous/next and close
@SEPARATOR_BODY    - Body separators (TOP and BOTTOM)
@SEPARATOR_BUTTON  - Button separators (CLOSE)
@SEPARATOR_ALL     - All separators
"""

# =============================================================================
# >> Script Information
# =============================================================================

#__all__ = []
__version__ = '1.00.000 $Rev: 36 $'
__author__ = '[#OMEGA] - K2'
__date__ = '$Date: 2013-09-30 15:48:45 +0200 (Mo, 30 Sep 2013) $'

# =============================================================================
# >> Consants
# =============================================================================

TIMEOUT = 0.5

OPTIONS_PER_PAGE = 6

OPTION_MIN = 1
OPTION_MAX = 6
OPTION_PREVIOUS = 7
OPTION_NEXT = 8
OPTION_CLOSE = 9

ACCESS_ALLOWED = 0
ACCESS_RESTRICTED = 1
ACCESS_DENIED = 2

SEPARATOR_TITLE = 4
SEPARATOR_TOP = 1
SEPARATOR_BOTTOM = 2
SEPARATOR_CLOSE = 8

SEPARATOR_BODY = SEPARATOR_TOP ^ SEPARATOR_BOTTOM
SEPARATOR_BUTTONS = SEPARATOR_CLOSE

SEPARATOR_ALL = SEPARATOR_BODY ^ SEPARATOR_TITLE ^ SEPARATOR_BUTTONS
