"""
Path     addons/source-python/plugins/k2tools_test_colormsg/k2tools_test_colormsg.py
Name     Colormsg Test Script
Version  ---
Revision $Rev: 27 $
Author   (C) [#OMEGA] - K2


INFO

Simple script for testing the chat colors. 


AGREEMENT
 
See k2tools_license.txt
"""

# =============================================================================
# >> Imports
# =============================================================================

# Python
import imp

# K2Tools
import k2tools.cmdlib
import k2tools.colormsg

# Source.Python
from players.helpers import index_from_playerinfo

# Uncomment for certain tests
#imp.reload(k2tools.colormsg)

# =============================================================================
# >> Load & Unload
# =============================================================================

def load():    
    k2tools.cmdlib.AdvancedCommandManager.register('ctest',
        callback=(test,),
        log_pre_exec=True,
        log_post_exec=True,
        log_spam_protect=True,
        console=True,
    )
    
    global msgs
    msgs = ['']
    for item in k2tools.colormsg.TypeManager['SayText2']:
        add = item + item.replace('#', '') + ' '
        if len(msgs[-1]) + len(add) > 240: # Should not exceed 255
            msgs.append('')
        msgs[-1] += add
    
def unload():
    k2tools.cmdlib.AdvancedCommandManager.unregister('ctest')

# =============================================================================
# >> Functions
# =============================================================================
    
def test(av):
    p = av['playerinfo']
    i = index_from_playerinfo(p)
    for msg in msgs:
        m = k2tools.colormsg.SayText2(message=msg)
        m.send(i)