"""
Path     addons/source-python/plugins/k2tools_test_data/k2tools_test_data.py
Name     Data Test
Version  1.00.000
Revision $Rev: 31 $
Author   (C) [#OMEGA] - K2


INFO

Tests for popup


AGREEMENT
 
See k2tools_license.txt
"""

# =============================================================================
# >> Imports
# =============================================================================

# Source.Python
from player_c import PlayerGenerator

from core import GameEngine

# K2Tools
import k2tools.string

#import imp; imp.reload(k2tools.string)

# =============================================================================
# >> Load & Unload
# =============================================================================

def load():
    test = 'test'
    assert k2tools.string.rfill(test, 8, 'a') == 'testaaaa', 'Right fill ' \
        'failed'
    assert k2tools.string.lfill(test, 8, 'a') == 'aaaatest', 'Left fill ' \
        'failed'
    assert k2tools.string.double_fill(test, 8, 'a') == 'aatestaa', 'Double ' \
        'fill failed'
    assert k2tools.string.double_fill(test, 7, 'a') == 'atestaa', 'Double ' \
        'fill uneven case failed'
    
    # Add a bot and get his playerinfo for future tests
    GameEngine.server_command('bot_add Ted;')
    for player in PlayerGenerator():
        if player.get_name() == 'Ted':
            break
    
    parser = k2tools.string.TagParser()
    assert parser.parse('{NAME}', playerinfo=player) == 'Ted', 'Names ' \
        'must match'
    assert parser.parse('{STEAMID}', playerinfo=player) == 'BOT', 'SteamID ' \
        'must match'
    assert parser.parse('{USERID}', playerinfo=player) == \
        str(player.get_userid()), 'Userid must match'
    assert parser.parse('{CLIENT_IP}', playerinfo=player) == 'None', \
        'BOT must return None as client IP'
    assert parser.parse('{CLIENT_LANG}', playerinfo=player) == 'None', \
        'BOT must return None as client language'
    assert parser.parse('{CLIENT_LANG_CODE}', playerinfo=player) == 'None', \
        'BOT must return None as client language code'
    assert parser.parse('{CVAR:sv_cheats}') == '0', 'sv_cheats must be ' \
        'equal to 0'
        
    
    # Can't really check these in the script
    print(parser.parse('{SERVER_IP}'))
    print(parser.parse('{SERVER_PORT}'))
    print(parser.parse('{CURRENT_MAP}'))
    print(parser.parse('{TIME}'))
    print(parser.parse('{DATE}'))


def unload():
    pass